searchNodes=[{"doc":"Contains the Quantonex.DataPoint type.","ref":"Quantonex.DataPoint.html","title":"Quantonex.DataPoint","type":"module"},{"doc":"Represents a data point of an instrument. complete - true if the data point is complete, otherwise false. close - the close price. granularity - the granularity of the data point e.g. H4. instrument - an instrument e.g. EURUSD. high - the highest price. low - the lowest price. open - the open price. datetime - the datetime. volume - the volume.","ref":"Quantonex.DataPoint.html#t:t/0","title":"Quantonex.DataPoint.t/0","type":"type"},{"doc":"Contains technical indicators.","ref":"Quantonex.Indicators.html","title":"Quantonex.Indicators","type":"module"},{"doc":"Calculates an exponential moving average for a given price and period. A simple moving average is calculated based on the price and then used as seed for the calculation of the exponential moving average. Examples {:ok, ema_value} = Decimal.from_float(22.81) |&gt; Quantonex.Indicators.ema(9) {:ok, #Decimal&lt;22.810&gt;}","ref":"Quantonex.Indicators.html#ema/2","title":"Quantonex.Indicators.ema/2","type":"function"},{"doc":"Calculates an exponential moving average for a given price, period and previous exponential moving average. Examples previous_ema = Decimal.from_float(22.91) {:ok, current_ema} = Decimal.from_float(22.81) |&gt; Quantonex.Indicators.ema(9, previous_ema) {:ok, #Decimal&lt;22.890&gt;}","ref":"Quantonex.Indicators.html#ema/3","title":"Quantonex.Indicators.ema/3","type":"function"},{"doc":"Calculates a simple moving average for a period that is equal to the length of the dataset. Examples iex&gt; Quantonex.Indicators.sma([1, 2, 3]) {:ok, Decimal.new(2)}","ref":"Quantonex.Indicators.html#sma/1","title":"Quantonex.Indicators.sma/1","type":"function"},{"doc":"Calculates a simple moving average for a given dataset and period. The last n elements of the dataset are used for the calculation. Examples iex&gt; Quantonex.Indicators.sma([1, 2, 3], 2) {:ok, Decimal.from_float(2.5)} iex&gt; Quantonex.Indicators.sma([1, 2, 3], 4) {:error, &quot;Period can&#39;t be greater than the length of the dataset.&quot;}","ref":"Quantonex.Indicators.html#sma/2","title":"Quantonex.Indicators.sma/2","type":"function"},{"doc":"Calculates a volume weighted average price. To calculate the initial vwap value, both cumulative_volume and cumulative_volume_price are set to 0. data_point = %Quantonex.DataPoint{ complete: true, close: Decimal.new(6), high: Decimal.new(8), low: Decimal.new(4), volume: 10 } {:ok, %{ &quot;cumulative_volume&quot;: cumulative_volume, &quot;cumulative_volume_price&quot;: cumulative_volume_price, &quot;value&quot;: value } } = Quantonex.Indicators.vwap(data_point) Any subsequent calculation can be done by passing the previously calculated cumulative values to the function. next_data_point = %Quantonex.DataPoint{ complete: false, close: Decimal.new(8), high: Decimal.new(10), low: Decimal.new(6), volume: 20 } Quantonex.Indicators.vwap(next_data_point, cumulative_volume, cumulative_volume_price)","ref":"Quantonex.Indicators.html#vwap/3","title":"Quantonex.Indicators.vwap/3","type":"function"},{"doc":"Represents a volume weighted average price. value - the volume weighted average price. cumulative_volume - the previous volume plus the current volume. cumulative_volume_price - the previous volume price plus the current volume price.","ref":"Quantonex.Indicators.html#t:vwap/0","title":"Quantonex.Indicators.vwap/0","type":"type"},{"doc":"Quantonex A technical analysis library for algorithmic trading written in Elixir.","ref":"readme.html","title":"Quantonex","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding quantonex to your list of dependencies in mix.exs: def deps do [ {:quantonex, &quot;~&gt; 0.1.0&quot;} ] end Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/quantonex.","ref":"readme.html#installation","title":"Quantonex - Installation","type":"extras"}]